org.modeshape.jcr.cache

## Class DocumentStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.jcr.cache.DocumentStoreException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DocumentAlreadyExistsException, DocumentNotFoundException

      public class DocumentStoreException
      extends RuntimeException

  An exception signalling that a failure occurred within a document store.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentStoreException(String key)`
    `DocumentStoreException(String key, String message)`
    `DocumentStoreException(String key, String message, Throwable cause)`
    `DocumentStoreException(String key, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Get the document key
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentStoreException

          public DocumentStoreException(String key)

      Parameters:
        `key` - the key for the document

    - #### DocumentStoreException

          public DocumentStoreException(String key,
                                String message)

      Parameters:
        `key` - the key for the document
        `message` - the message

    - #### DocumentStoreException

          public DocumentStoreException(String key,
                                Throwable cause)

      Parameters:
        `key` - the key for the document
        `cause` - the cause of this exception

    - #### DocumentStoreException

          public DocumentStoreException(String key,
                                String message,
                                Throwable cause)

      Parameters:
        `key` - the key for the document
        `message` - the message
        `cause` - the cause of this exception

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

    - #### getKey

          public String getKey()

      Get the document key
      Returns:
        the key for the document

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.